GIMP Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# parasite

## Name

parasite --

## Synopsis

    #define     PARASITE_PERSISTENT
    #define     PARASITE_UNDOABLE
    #define     PARASITE_ATTACH_PARENT
    #define     PARASITE_PARENT_PERSISTENT
    #define     PARASITE_PARENT_UNDOABLE
    #define     PARASITE_ATTACH_GRANDPARENT
    #define     PARASITE_GRANDPARENT_PERSISTENT
    #define     PARASITE_GRANDPARENT_UNDOABLE
    Parasite*   parasite_new                    (const gchar *name,
                                                 guint32 flags,
                                                 guint32 size,
                                                 const gpointer data);
    void        parasite_free                   (Parasite *parasite);
    Parasite*   parasite_copy                   (const Parasite *parasite);
    gboolean    parasite_compare                (const Parasite *a,
                                                 const Parasite *b);
    gboolean    parasite_is_type                (const Parasite *parasite,
                                                 const gchar *name);
    gboolean    parasite_is_persistent          (const Parasite *p);
    gboolean    parasite_is_undoable            (const Parasite *p);
    gboolean    parasite_has_flag               (const Parasite *p,
                                                 gulong flag);
    gulong      parasite_flags                  (const Parasite *p);
    const gchar* parasite_name                  (const Parasite *p);
    void*       parasite_data                   (const Parasite *p);
    glong       parasite_data_size              (const Parasite *p);

## Description

## Details

### PARASITE_PERSISTENT

    #define PARASITE_PERSISTENT 1

### PARASITE_UNDOABLE

    #define PARASITE_UNDOABLE   2

### PARASITE_ATTACH_PARENT

    #define PARASITE_ATTACH_PARENT (0x80 << 8)

### PARASITE_PARENT_PERSISTENT

    #define PARASITE_PARENT_PERSISTENT (PARASITE_PERSISTENT << 8)

### PARASITE_PARENT_UNDOABLE

    #define PARASITE_PARENT_UNDOABLE (PARASITE_UNDOABLE << 8)

### PARASITE_ATTACH_GRANDPARENT

    #define PARASITE_ATTACH_GRANDPARENT (0x80 << 16)

### PARASITE_GRANDPARENT_PERSISTENT

    #define PARASITE_GRANDPARENT_PERSISTENT (PARASITE_PERSISTENT << 16)

### PARASITE_GRANDPARENT_UNDOABLE

    #define PARASITE_GRANDPARENT_UNDOABLE (PARASITE_UNDOABLE << 16)

### parasite_new ()

    Parasite*   parasite_new                    (const gchar *name,
                                                 guint32 flags,
                                                 guint32 size,
                                                 const gpointer data);

`name` : |
`flags` : |
`size` : |
`data` : |
Returns : |

### parasite_free ()

    void        parasite_free                   (Parasite *parasite);

`parasite` : |

### parasite_copy ()

    Parasite*   parasite_copy                   (const Parasite *parasite);

`parasite` : |
Returns : |

### parasite_compare ()

    gboolean    parasite_compare                (const Parasite *a,
                                                 const Parasite *b);

`a` : |
`b` : |
Returns : |

### parasite_is_type ()

    gboolean    parasite_is_type                (const Parasite *parasite,
                                                 const gchar *name);

`parasite` : |
`name` : |
Returns : |

### parasite_is_persistent ()

    gboolean    parasite_is_persistent          (const Parasite *p);

`p` : |
Returns : |

### parasite_is_undoable ()

    gboolean    parasite_is_undoable            (const Parasite *p);

`p` : |
Returns : |

### parasite_has_flag ()

    gboolean    parasite_has_flag               (const Parasite *p,
                                                 gulong flag);

`p` : |
`flag` : |
Returns : |

### parasite_flags ()

    gulong      parasite_flags                  (const Parasite *p);

`p` : |
Returns : |

### parasite_name ()

    const gchar* parasite_name                  (const Parasite *p);

`p` : |
Returns : |

### parasite_data ()

    void*       parasite_data                   (const Parasite *p);

`p` : |

### parasite_data_size ()

    glong       parasite_data_size              (const Parasite *p);

`p` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
gimpwire | parasiteio